- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::NUMParser Class Reference

`#include <NUMParser.h>`

## Public Member Functions
| NUMParser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package, NUMCollector *collector)
bool | parse ()

## Private Member Functions
| NUMParser (const NUMParser &)
NUMParser & | operator= (const NUMParser &)
void | parseDocument (const KEYXMLReader &reader)

## Private Attributes
RVNGInputStreamPtr_t | m_input
RVNGInputStreamPtr_t | m_package
NUMCollector * | m_collector

## Constructor & Destructor Documentation

libetonyek::NUMParser::NUMParser | ( | const NUMParser & |  | ) |
| private

libetonyek::NUMParser::NUMParser | ( | const RVNGInputStreamPtr_t & | input,
|  | const RVNGInputStreamPtr_t & | package,
|  | NUMCollector * | collector
| ) |  |

## Member Function Documentation

NUMParser& libetonyek::NUMParser::operator= | ( | const NUMParser & |  | ) |
| private

bool libetonyek::NUMParser::parse | ( |  | ) |

void libetonyek::NUMParser::parseDocument | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parse().

## Member Data Documentation

NUMCollector* libetonyek::NUMParser::m_collector
| private

Referenced by parseDocument().

RVNGInputStreamPtr_t libetonyek::NUMParser::m_input
| private

Referenced by parse().

RVNGInputStreamPtr_t libetonyek::NUMParser::m_package
| private

The documentation for this class was generated from the following files:

- NUMParser.h
- NUMParser.cpp